Skip to content

Create calendar entry

POST
/api/v1/content/calendar
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/content/calendar \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "autonomy_level": 2, "channel": "example", "content_type": "example", "scheduled_for": "2026-04-15T12:00:00Z", "target_keywords": [ "example" ], "title": "example", "topic": "" }'

Schedule a new content calendar entry.

Media typeapplication/json
CalendarEntryCreate

Request body for creating a calendar entry.

object
autonomy_level
Autonomy Level
integer
default: 2 >= 1 <= 4
channel
required
Channel
string
>= 1 characters <= 50 characters
content_type
required
Content Type
string
>= 1 characters <= 50 characters
scheduled_for
required
Scheduled For
string format: date-time
target_keywords
Target Keywords
Array<string>
title
required
Title
string
>= 1 characters <= 255 characters
topic
Topic
string
""

Successful Response

Media typeapplication/json
CalendarEntryResponse

Response body for a single calendar entry.

object
autonomy_level
Autonomy Level
integer
default: 2
channel
required
Channel
string
content_ref
Any of:
string
content_type
required
Content Type
string
created_at
required
Created At
string format: date-time
id
required
Id
string
performance_metrics
Performance Metrics
object
key
additional properties
any
published_at
Any of:
string format: date-time
scheduled_for
required
Scheduled For
string format: date-time
status
required
Status
string
target_keywords
Target Keywords
Array
tenant_id
required
Tenant Id
string
title
required
Title
string
topic
Topic
string
""
updated_at
required
Updated At
string format: date-time
Example
{
"autonomy_level": 2,
"topic": ""
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}